Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKGetCompAbsTol

Get STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master absolute tolerance for compression

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKGetCompAbsTol(Mat F, PetscReal *atol)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()`

## Output Parameter

- atol - absolute compression tolerance

## See Also

`MATSOLVERSTRUMPACK`, Matrices, `Mat`, `MatGetFactor()`, `MatSTRUMPACKSetCompAbsTol()`, `MatSTRUMPACKSetReordering()`, `MatSTRUMPACKSetColPerm()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Implementations

MatSTRUMPACKGetCompAbsTol_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages